%global git_dist_name discovery-tools
%global src_name dsc-tools
%global egg_name dsc_tools
Name: %{git_dist_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: A tool for discovery and inspection of an IT environment. The discovery-tools package installs and configures the discovery server and client.

Group: Applications/Internet
License: GPLv3
URL: http://github.com/quipucords/qpc-tools
Source0: %{git_dist_name}-%{version}.tar.gz

BuildArch: noarch

#Common Requirements
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: ansible >= 2.4
Requires: python3

%description
A tool for discovery and inspection of an IT environment. The discovery-tools package installs and configures the discovery server and client.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
find %{buildroot}%{python3_sitelib} \
     -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;
install -D -p -m 644 docs/dsc-tools.1 %{buildroot}%{_mandir}/man1/dsc-tools.1

%files
%defattr(-,root,root,-)
%doc README.md AUTHORS.md
%license LICENSE
%{_bindir}/%{src_name}
%{python3_sitelib}/qpc_tools
%{python3_sitelib}/%{egg_name}-%{version}-py3.?.egg-info/
%{_mandir}/man1/%{src_name}.1.gz

%changelog
* Wed Dec 18 2019 Cody Myers <cmyers@redhat.com> 0.2.3
- Upstream Base: https://github.com/quipucords/qpc-tools/releases/tag/0.2.3
* Tue Dec 03 2019 Cody Myers <cmyers@redhat.com> 0.2.2
- Upstream Base: https://github.com/quipucords/qpc-tools/releases/tag/0.2.2
* Thu Nov 07 2019 Cody Myers <cmyers@redhat.com> 0.2.1
- Upstream Base: https://github.com/quipucords/qpc-tools/releases/tag/0.2.1
* Tue Oct 29 2019 Cody Myers <cmyers@redhat.com> 0.2.0
- Upstream Base: https://github.com/quipucords/qpc-tools/releases/tag/0.2.0
